## caso-4.1.1.0rc1.tar.gz

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.1.0
six>=1.9.0

dirq
python-dateutil>=2.4.2

oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo-utils>=4.10.1

python-cinderclient>=5.0.0 # Apache-2.0
python-novaclient>=2.28.1 # Apache-2.0
python-keystoneclient>=3.0.0 # Apache-2.0
python-glanceclient>=0.18.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0

stevedore
pydantic

=== doc/requirements.txt ===
sphinx>=4.0.0  # BSD
sphinx_rtd_theme

reno>=2.5.0 # Apache-2.0

=== packaging/debian/changelog ===
python3-caso (4.1.0-0rc2) stable; urgency=medium

  * [a74fb28] Remove duplicated option
  * [1142758] Let operators mark projects directly on keystone
  * [ce9e416] Use Keystone properties to load VO mapping.
  * [fc039e2] Move VM status method to Nova extractor
  * [3982e48] nova: move accelerator and benchmark options to correct place
  * [416d2f7] extractors: move projects options to correct place
  * [91f4e8e] Load VO mapping in correct place
  * [8fef5fe] Move all clients to the base class
  * [01eab94] Remove old last run file management
  * [4f0252c] Add migrate command to ease migration
  * [b89fbc1] Set UUID also for IP records
  * [a8e6d5b] Provide better error message when pushing records
  * [4bda67d] Fix noop messenger
  * [bb8ffee] Include project names in project listing
  * [93b9df3] Update documentation
  * [b014846] Include caso-projects in usage commands
  * [6aaad9d] Remove deprecated option
  * [42789db] Update configuration file
  * [0206294] Default to all OpenStack extractors

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Mon, 10 Apr 2023 14:29:16 +0200

python3-caso (4.0.0-1) stable; urgency=medium

  [ Alvaro Lopez Garcia ]
  * [2dc5334] Remove deprecated extractor base class
  * [9ebf351] Allow to configure more than one extractor
  * [5d234a1] Adapt neutron extractor code to new format
  * [9c99261] Transform records into pydantic models, and start using typing hints
  * [455053a] Include type checking with mypy
  * [8f8aeac] Add Cinder storage extractor
  * [d03c606] Fix pydantic model errors
  * [dc154df] Typing on SSM
  * [43f5f6b] Ensure that properties are also rendered as JSON
  * [293b136] Make code black
  * [fffc788] Remove unused exceptions
  * [fcbc40a] Encode VM names in ASCII
  * [76e3c4d] Image ID can be missing if removed from Glance
  * [5d294c7] Rename abbreviated variables and methods in SSM messenger
  * [28d40e7] Catch exception when creating directories
  * [b26a13b] keystone_client: user project_id None when using name
  * [090abf4] Fix error when image id is not a uuid
  * [d852ddc] Update sample configuration file

  [ Aida Palacio Hoz ]
  * [aa0ff7f] Add an storage record class and publish through SSM

  [ Enol Fernandez ]
  * [dba1a7d] get lastRun back working
  * [da3347c] Fix issues with times and dates in extractors and records
  * [49717a7] Uniform formatting of strings
  * [a69cdd3] Avoid calling get_keystone_user if already failed
  * [0998c18] Adapt types
  * [cab266c] Fix GPU record generation

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Thu, 30 Mar 2023 22:40:05 +0200

python3-caso (3.0.0-1) stable; urgency=medium

  [ Alvaro Lopez Garcia]
  * Support only for Python 3
  * Code improvements and bugfixes

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Wed, 16 Mar 2022 00:50:00 +0100

python3-caso (2.1.1-1) stable; urgency=medium

  [ Alvaro Lopez Garcia]
  * [d1bd16b] Do not rely on f-strings

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Fri, 04 Feb 2021 16:43:35 +0100

python3-caso (2.1.0-1) stable; urgency=medium

  [ Alvaro Lopez Garcia]
  * [80870b6] Remove ceilometer code
  * [2495353] extractor: new per-project base extractor
  * [57c00f5] nova extractor: refactor code to make it simpler
  * [e4de156] Fix record format, and use correct message format for publication

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Fri, 04 Feb 2021 16:09:35 +0100

python3-caso (2.0.0-7) stable; urgency=medium

  [ Aida Palacio Hoz ]
  * [5cb2ba3] Add Ip Accounting
  * [9279e3e] IP Accounting: Fixes and some comments
  * [64914aa] Format IP record following JSON schema

  [ Alessandro Costantini ]
  * [968462a] Support for multi-region + documentation

  [ Alvaro Lopez Garcia ]
  * [ee3035d] Allow projects to be specified as IDs
  * [e858386] Change error to warning when a VM cannot be loaded
  * [f4b594a] Generate a warning if a VO mapping is not found
  * [1576b04] Update LOG message with link to documentation
  * [592bde5] ssm: add entrypoints for V2 and V4 messengers
  * [53a3da3] Manage release notes through documentation
  * [203aeaf] Drop Python 2 support
  * [36a47c7] Update pbr required version
  * [d7444ff] Update cASO requirements
  * [9ee7e17] Fix requirements with proper versions

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Fri, 15 Jan 2021 13:07:16 +0100

caso (1.4.3-1) stable; urgency=medium

  [ Alvaro Lopez Garcia ]
  * [c8325f5] Ensure that we return integers for wall/cpu duration
  * [34a7fc6] Fix bug that made cASO report only last project configured

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Tue, 24 Mar 2020 11:38:12 +0100

caso (1.4.2-1) stable; urgency=medium

  [ Alvaro Lopez Garcia ]
  * [3b88759] Servers deleted with end_time=None must have an end time

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Mon, 09 Mar 2020 17:29:52 +0100

caso (1.4.0-1) stable; urgency=medium

  * [38013fd] Add "max-size" to limit output records sent to the messenger
  * [c8a6870] Update sample cfg file

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Tue, 10 Dec 2019 12:55:10 +0100

caso (1.3.3-1) stable; urgency=medium

  * [3503e5c] Do not fail if querying for a server throws an error in the API

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Tue, 15 Oct 2019 10:46:16 +0200

caso (1.3.2-1) stable; urgency=medium

  * [796c50e] Fix wrong record generation

 -- Alvaro Lopez Garcia <aloga@ifca.unican.es>  Fri, 04 Oct 2019 13:07:55 +0200

caso (1.3.1-1) stable; urgency=medium

  [ Alvaro Lopez Garcia ]
  * [a9d2e7a] Update configuration files
  * [a77e54e] Add locking so that cASO does not run in parallel
  * [6f68e12] Fix lock path management
  * [181aa81] Use correct server's start time
  * [6df46e9] record: use properties for {start,end}_time
  * [0e8cadb] Improve and fix duration calculation and server status
  * [bd228ae] tox: remove py34
  * [540b4e7] Document keystone policy configuration
  * [4b73f19] setup: set proper content type for description
  * [723d8fd] Use correct version string



=== packaging/debian/control ===
Source: python3-caso
Section: net
Priority: extra
Maintainer: Alvaro Lopez Garcia <aloga@ifca.unican.es>
Homepage: https://github.com/IFCA/caso
Build-Depends:
 debhelper (>= 7.0.50),
 dh-python,
 python3-all,
 python3-all-dev
Standards-Version: 3.9.3
X-Python3-Version: >=3.5

Package: python3-caso
Architecture: all
Section: python
Depends:
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.utils,
 python3-neutronclient,
 python3-novaclient,
 python3-keystoneclient,
 python3-keystoneauth1,
 python3-glanceclient,
 python3-dateutil,
 python3-dirq,
 python3-six,
 ${python3:Depends},
 ${misc:Depends},
Recommends: apel-ssm
Provides: ${python:Provides}
Description: An OpenStack accounting extractor.
 .
 This program will extract usage records for each tenant and
 associate those records to a VO so that they can be sent to the
 EGI Accounting system.

Package: caso
Depends: python3-caso, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== packaging/debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=caso

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	tox -epep8,bandit
